Debian Bug report logs - #545388
In /etc/modprobe.d/broadcom-sta-common.conf, b43 should be b44.

version graph

Package: broadcom-sta-common; Maintainer for broadcom-sta-common is Cyril Lacoux <clacoux@easter-eggs.com>; Source for broadcom-sta-common is src:broadcom-sta.

Reported by: rich mack <ra.mack@yahoo.com>

Date: Sun, 6 Sep 2009 21:33:01 UTC

Severity: serious

Tags: patch

Found in version broadcom-sta/5.10.91.9-1

Fixed in version broadcom-sta/5.10.91.9.3-3

Done: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ra.mack@yahoo.com, Debian QA Group <packages@qa.debian.org>:
Bug#545388; Package broadcom-sta-common. (Sun, 06 Sep 2009 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to rich mack <ra.mack@yahoo.com>:
New Bug report received and forwarded. Copy sent to ra.mack@yahoo.com, Debian QA Group <packages@qa.debian.org>. (Sun, 06 Sep 2009 21:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: rich mack <ra.mack@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: In /etc/modprobe.d/broadcom-sta-common.conf, b43 should be b44.
Date: Sun, 06 Sep 2009 16:27:32 -0500
Package: broadcom-sta-common
Version: 5.10.91.9-1
Severity: serious
Tags: patch
Justification: unknow


Ok, I think that I have this somewhat figured out. Since I haven't debugged at this level (I'm not a programmer by trade or claim), I think I have found a bug that needs to be reported to someone, but I don't know how or to whom. Does this go to a Debian Developer (I did use the Debian package) or does this need to get to a Broadcom developer?

/etc/modprobe.d/broadcom-sta-common.conf
# original contents was the line immediately below
# install wl /sbin/modprobe -qr b43 ssb; /sbin/modprobe --ignore-install wl $CMDLINE_OPTS
install wl /sbin/modprobe -qr b44 ssb; /sbin/modprobe --ignore-install wl $CMDLINE_OPTS

My best guess, was that the reason my wifi isn't working that it's related to the module ssb. I can not keep the module from being loaded and I can not remove the module. After reading some about blacklisting http://wiki.debian.org/KernelModuleBlacklisting I saw that I was not entering 'blacklist ssb' in the correct file and I followed the instruction the the URL. I had previously noticed that there was some dependency of b44 on ssb and I couldn't remove ssb until b44 was out of the way. I decided to (I don't really know why) look at /etc/modprobe.d/broadcom-sta-common.conf and noticed the removal of b43 module instead of b44 module. So when I changed 'b43' to 'b44' I then had wifi. As noted in a previous post, b44 is my wired ethernet.

The only thing that might be a concern, is that my wireless device is named eth1 instead of wlan0. Not that it really matters but in keeping convention, my wireless should be wlanX not ethX.
-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

broadcom-sta-common depends on no packages.

Versions of packages broadcom-sta-common recommends:
ii  broadcom-sta-source          5.10.91.9-1 Source for the Broadcom STA Wirele
ii  module-assistant             0.11.1      tool to make module package creati

Versions of packages broadcom-sta-common suggests:
ii  wireless-tools                29-1.1     Tools for manipulating Linux Wirel

-- no debconf information




Reply sent to Cyril Lacoux (Yack) <clacoux@easter-eggs.com>:
You have taken responsibility. (Sat, 16 Jan 2010 11:33:14 GMT) Full text and rfc822 format available.

Notification sent to rich mack <ra.mack@yahoo.com>:
Bug acknowledged by developer. (Sat, 16 Jan 2010 11:33:14 GMT) Full text and rfc822 format available.

Message #10 received at 545388-close@bugs.debian.org (full text, mbox):

From: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
To: 545388-close@bugs.debian.org
Subject: Bug#545388: fixed in broadcom-sta 5.10.91.9.3-3
Date: Sat, 16 Jan 2010 11:32:09 +0000
Source: broadcom-sta
Source-Version: 5.10.91.9.3-3

We believe that the bug you reported is fixed in the latest version of
broadcom-sta, which is due to be installed in the Debian FTP archive:

broadcom-sta-common_5.10.91.9.3-3_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-common_5.10.91.9.3-3_all.deb
broadcom-sta-source_5.10.91.9.3-3_all.deb
  to non-free/b/broadcom-sta/broadcom-sta-source_5.10.91.9.3-3_all.deb
broadcom-sta_5.10.91.9.3-3.diff.gz
  to non-free/b/broadcom-sta/broadcom-sta_5.10.91.9.3-3.diff.gz
broadcom-sta_5.10.91.9.3-3.dsc
  to non-free/b/broadcom-sta/broadcom-sta_5.10.91.9.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Lacoux (Yack) <clacoux@easter-eggs.com> (supplier of updated broadcom-sta package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Jan 2010 22:33:24 +0400
Source: broadcom-sta
Binary: broadcom-sta-common broadcom-sta-source
Architecture: source all
Version: 5.10.91.9.3-3
Distribution: unstable
Urgency: low
Maintainer: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
Changed-By: Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
Description: 
 broadcom-sta-common - Common files for the Broadcom STA Wireless driver
 broadcom-sta-source - Source for the Broadcom STA Wireless driver
Closes: 545388
Changes: 
 broadcom-sta (5.10.91.9.3-3) unstable; urgency=low
 .
   * Blacklisting b43legacy, b43, b44 and ssb modules (Closes: #545388).
   * Added a note to README.Debian (broadcom-sta-common) to explain why b44
     module is blacklisted.
Checksums-Sha1: 
 9b0958d5cf2237cb1fb103c7e0025218b7168db8 1137 broadcom-sta_5.10.91.9.3-3.dsc
 558faa52509b1165fb1b050d2b466dcd4608f66c 9701 broadcom-sta_5.10.91.9.3-3.diff.gz
 09d77bdc744d4fd909470a4574e27c32c61768c9 8540 broadcom-sta-common_5.10.91.9.3-3_all.deb
 6b020e678661842c67bad40a46ff634827b8d37a 1160426 broadcom-sta-source_5.10.91.9.3-3_all.deb
Checksums-Sha256: 
 332a39ca976cdd04bab17e594ef4cfb35bae1e7a7a93a1ecdef070a42d0ae1f4 1137 broadcom-sta_5.10.91.9.3-3.dsc
 b1d5d5fac23cd609b588a93d4e6433db9e04652c989092161637a3f009d430a0 9701 broadcom-sta_5.10.91.9.3-3.diff.gz
 0b075b1ca8ca91bda203deb3977f0963f12b568b875a4d023775baab899421bf 8540 broadcom-sta-common_5.10.91.9.3-3_all.deb
 fcdc48eac6e8fa778aa9689f23bf94c7bdcf0a4ebb31e6e044083d6bd1c5d712 1160426 broadcom-sta-source_5.10.91.9.3-3_all.deb
Files: 
 a3bb5a0dbb16ab76eb90d5bb0697df0b 1137 non-free/admin optional broadcom-sta_5.10.91.9.3-3.dsc
 04f898ad70df13efb57ac881d320cfaa 9701 non-free/admin optional broadcom-sta_5.10.91.9.3-3.diff.gz
 c7d192f34260ad8d6180c80bed23c634 8540 non-free/admin optional broadcom-sta-common_5.10.91.9.3-3_all.deb
 b505c728f3c9ef5958bfd2e2110e1ef8 1160426 non-free/admin optional broadcom-sta-source_5.10.91.9.3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktRoVQACgkQpGK1HsL+5c2faQCg4aL9T3/ftrHSjvWG1S/bcJ/n
TusAn00eYKvFGz7F0Or3CGZQVJkgBoB8
=phyt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Feb 2010 07:44:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:08:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.